Import error while opening ccpnmr project

Hi Team,

While opening a previously saved project, I get the following error. (attached as an image)
when I acknowledge the error the terminal output looks like this:

The above exception was the direct cause of the following exception:

SystemError: <class ‘PyQt5.QtCore.QEvent’> returned a result with an error set

The above exception was the direct cause of the following exception:

SystemError: <class ‘PyQt5.QtCore.QEvent’> returned a result with an error set

The above exception was the direct cause of the following exception:

SystemError: <class ‘PyQt5.QtCore.QEvent’> returned a result with an error set

The above exception was the direct cause of the following exception:

SystemError: <class ‘PyQt5.QtCore.QEvent’> returned a result with an error set

Traceback (most recent call last):

  • File “/usr/software/CcpNmr-AnalysisAssign/src/python/ccpn/framework/Framework.py”, line 126, in _ccpnExceptionhook*
  • MessageDialog.showError(title=title, message=text)*
  • File “/usr/software/CcpNmr-AnalysisAssign/src/python/ccpn/ui/gui/widgets/MessageDialog.py”, line 384, in showError*
  • dialog.exec_()*
    SystemError: <built-in method exec_ of MessageDialog object at 0x7f22d3466ca0> returned a result with an error set

Original exception was:
Traceback (most recent call last):

  • File “/usr/software/CcpNmr-AnalysisAssign/src/python/ccpn/ui/gui/lib/OpenGL/CcpnOpenGL.py”, line 3015, in paintGL*
  • self._buildGL()*
  • File “/usr/software/CcpNmr-AnalysisAssign/src/python/ccpn/ui/gui/lib/OpenGL/CcpnOpenGL.py”, line 2935, in _buildGL*
  • self.buildSpectra()*
  • File “/usr/software/CcpNmr-AnalysisAssign/src/python/ccpn/ui/gui/lib/OpenGL/CcpnOpenGL.py”, line 3269, in buildSpectra*
  • spectrumView._buildGLContours(self._contourList[spectrumView])*
  • File “/usr/software/CcpNmr-AnalysisAssign/src/python/ccpn/ui/gui/lib/GuiSpectrumViewNd.py”, line 211, in _buildGLContours*
  • self._constructContours(self.posLevels, self.negLevels, glList=glList)*
  • File “/usr/software/CcpNmr-AnalysisAssign/src/python/ccpn/ui/gui/lib/GuiSpectrumViewNd.py”, line 222, in _constructContours*
  • from ccpnc.contour import Contourer2d*
    ImportError: cannot import name ‘Contourer2d’ from ‘ccpnc.contour’ (unknown location)

Even when I open a new project and load spectrum, I get the same error.

Please let me know how to resolve the issue… Thank you.

Best Regards,
Soumya

Has this been resolved? I am obtaining the same error when using V3.0.4 in NMRBox.
Thanks, Blake

Sorry not to have got back about this one.
It looks to me like the issue is that these are Version 2 projects that use Contour files. Version 3 doesn’t support contour files and then falls over when it comes across that part of the project. That obviously needs to be fixed at our end (that the program doesn’t stop loading the project - we are unlikely to support Contour files in V3).
I think what will work in the mean time is to open the project in Version 2 and remove the contour files, re-save the project and then you should be able to open in Version 3.

Vicky